uniform mat4 Proj,View,World;
uniform vec3 LightPos;

void main()
{
	tCoords = gl_MultiTexCoord0.xy;
	lightPos = LightPos;
	worldPos = gl_Vertex.xyz;
	viewPosition = View * vec4(worldPos.xyz,0);
	gl_Position = Proj * View * World * gl_Vertex;
}